org.eclipse.emf.cdo.spi.server

## Class DelegatingQueryResourcesContext

- java.lang.Object
- - org.eclipse.emf.cdo.spi.server.DelegatingQueryResourcesContext

- All Implemented Interfaces:
    CDOBranchPoint, CDOBranchProvider, CDOTimeProvider, IStoreAccessor.QueryResourcesContext

      public abstract class DelegatingQueryResourcesContext
      extends Object
      implements IStoreAccessor.QueryResourcesContext

  If the meaning of this type isn't clear, there really should be more of a description here...
  Since:
    4.2
  Author:
    Eike Stepper

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.server.IStoreAccessor.QueryResourcesContext

      `IStoreAccessor.QueryResourcesContext.ExactMatch`

  - ### Field Summary

    - ### Fields inherited from interface org.eclipse.emf.cdo.common.branch.CDOBranchPoint

      `INVALID_DATE, UNSPECIFIED_DATE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DelegatingQueryResourcesContext()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `addResource(CDOID resourceID)` Adds the CDOID of one resource to the results of the underlying query.
    `boolean` | `exactMatch()`
    `CDOBranch` | `getBranch()` Returns the branch of this branch point, or `null` if this branch point is the `base` of the `main branch`.
    `protected abstract IStoreAccessor.QueryResourcesContext` | `getDelegate()`
    `CDOID` | `getFolderID()`
    `int` | `getMaxResults()` Returns the maximum number of results expected by the client or `CDOQueryInfo.UNLIMITED_RESULTS` for no limitation.
    `String` | `getName()`
    `long` | `getTimeStamp()` Returns the time stamp of this branch point, or the fixed special time stamp `unspecified` if this branch point marks the `head` of a branch.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DelegatingQueryResourcesContext

          public DelegatingQueryResourcesContext()

  - ### Method Detail

    - #### getBranch

          public CDOBranch getBranch()

      Description copied from interface: `CDOBranchPoint`
      Returns the branch of this branch point, or `null` if this branch point is the `base` of the `main branch`.
      Specified by:
        `getBranch` in interface `CDOBranchPoint`
      Specified by:
        `getBranch` in interface `CDOBranchProvider`

    - #### getTimeStamp

          public long getTimeStamp()

      Description copied from interface: `CDOBranchPoint`
      Returns the time stamp of this branch point, or the fixed special time stamp `unspecified` if this branch point marks the `head` of a branch.
      Specified by:
        `getTimeStamp` in interface `CDOBranchPoint`
      Specified by:
        `getTimeStamp` in interface `CDOTimeProvider`

    - #### getFolderID

          public CDOID getFolderID()

      Specified by:
        `getFolderID` in interface `IStoreAccessor.QueryResourcesContext`

    - #### getName

          public String getName()

      Specified by:
        `getName` in interface `IStoreAccessor.QueryResourcesContext`

    - #### exactMatch

          public boolean exactMatch()

      Specified by:
        `exactMatch` in interface `IStoreAccessor.QueryResourcesContext`

    - #### getMaxResults

          public int getMaxResults()

      Description copied from interface: `IStoreAccessor.QueryResourcesContext`
      Returns the maximum number of results expected by the client or `CDOQueryInfo.UNLIMITED_RESULTS` for no limitation.
      Specified by:
        `getMaxResults` in interface `IStoreAccessor.QueryResourcesContext`

    - #### addResource

          public boolean addResource(CDOID resourceID)

      Description copied from interface: `IStoreAccessor.QueryResourcesContext`
      Adds the CDOID of one resource to the results of the underlying query.
      Specified by:
        `addResource` in interface `IStoreAccessor.QueryResourcesContext`
      Returns:
        `true` to indicate that more results can be passed subsequently, `false` otherwise (i.e. maxResults has been reached or an asynchronous query has been canceled).

    - #### getDelegate

          protected abstract IStoreAccessor.QueryResourcesContext getDelegate()

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html